/* 
Theme Name: NerdStuds
Theme URI: https://github.com/elementor/hello-theme/
Description: This is a custom child theme built using the Elementor Hello theme.
Author: Jeremy Cox
Author URI: https://nerdstuds.com/
Template: hello-elementor
*/

:root {
    --green: #021E1C;
	--gold: #BFA762;
	--text: #9C9C9C;
	--grey: #9C9C9C;
	--black: #000000;
	--header-font: "Neutra Display Alt", Sans-serif;
	--body-font: "Neutra Text Alt", Sans-serif;
}

html {
	scroll-behavior: auto !important;
}

body *:focus:not(:focus-visible),
body input:focus,
body input:focus-visible,
body button:focus,
body button:focus-visible,
body a:focus,
body a:focus-visible,
body i:focus,
body i:focus-visible,
body *:focus,
body *:focus-visible {
	outline: none !important;
	box-shadow: none !important;
}


/* General Styles */

body h1,
body h2 {
	font-family: var(--header-font);
}

body p {
	font-family: var(--body-font) !important;
}

.elementor-location-footer,
[data-elementor-type="wp-page"] {
	overflow: hidden;
}

*:focus:not(:focus-visible),
body input:focus,
body button:focus,
body a:focus,
body i:focus,
body *:focus,
body input:focus-visible,
body button:focus-visible,
body a:focus-visible,
body i:focus-visible,
body *:focus-visible {
	outline: none !important;
	box-shadow: none !important;
}

.icon-list-em {
	font-size: 0.8em;
	color: var(--gold);
	font-style: italic;
}

.ff-initial-image {
	object-fit: cover !important;
}

.elementor-41:not(.elementor-motion-effects-element-type-background),
.elementor-41 > .elementor-motion-effects-container > .elementor-motion-effects-layer {
	background-color: var(--grey) !important;
	background-image: url("/wp-content/uploads/2022/04/tycoon-bg-texture-75.png");
}

#tripleseat_embed_form h2 {
	font-size: 26px;
	text-transform: capitalize;
    color: var(--black);
}

#tripleseat_embed_form td {
	border: none;
	background: unset;
}

#tripleseat_embed_form td label {
	color: var(--black);
	margin-bottom: 5px
}

#tripleseat_embed_form td input[type=text] {
	border-radius: 0 !important;
}

#tripleseat_embed_form #lead_form_submit input {
	border: 2px solid var(--gold) !important;
    color: white;

    &:hover {
        color: var(--black);
    }
}

#tripleseat_embed_form #lead_form_submit > a {
	display: none !important;
}

h1#tsLeadSuccessMessage {
	font-size: 40px !important;
}

@media(min-width: 691px) {
	.half-hero-wrapper {
		background: unset !important;
	}

	.half-hero-wrapper:before,
	.half-hero-wrapper > .elementor-background-video-container {
		display: none !important;
	}
}

@media(max-width: 690px) {
	.half-hero-bg-sec {
		display: none !important;
	}

	.half-hero-wrapper iframe {
		opacity: 1;
		animation-name: fadeInOpacity;
		animation-iteration-count: 1;
		animation-timing-function: ease-in;
		animation-duration: 1.75s;
	}

	#tripleseat_embed_form h2 {
		font-size: 24px;
	}
}

/* Instagram Feed Styles */

.ff-content a {
	color: var(--gold) !important;
}

.ff-initial-image {
	object-fit: cover !important;
}

body .ff-slideshow .ff-dropdown .ff-external-link,
body .ff-slideshow .ff-dropdown .flaticon-share2 {
	border: 2px solid var(--gold) !important;
	border-radius: 0 !important;
	background: transparent !important;
	color: var(--text) !important;
	height: 37px !important;
}

body .ff-slideshow .ff-dropdown .ff-external-link:hover,
body .ff-slideshow .ff-dropdown .flaticon-share2:hover {
	background: var(--gold) !important;
	color: white !important;
}

body .ff-content a,
body .ff-item-cont a,
body .ff-instagram a {
	color: var(--gold) !important;
}

body .ff-slideshow .ff-share-wrapper {
	display: none;
}

body .ff-slideshow .ff-nickname {
	font-family: var(--body-font);
	font-weight: 500;
	line-height: 1.3em;
}

.ff-slideshow nav span:hover,
.ff-slideshow .ff-nav-close:hover {
	color: var(--gold) !important;
}

#ff-stream-1 .ff-overlay {
	background-color: rgba(0,0,0,0.75) !important;
}

body #ff-stream-1 .ff-nickname,
body #ff-stream-1 .ff-timestamp,
body #ff-stream-1 .ff-item-bar,
body #ff-stream-1 .ff-item-bar a {
	color: white !important;
}

/** Happy Hour Menu Fixes **/
.menu-item-1396.current-menu-item a:after {
	display: none;
}

.menu-item-1396.current-menu-item a:hover:after {
	display: block;
}

.menu-item-1396.current-menu-item a {
	color: white !important;
}

.menu-item-1396.current-menu-item a:focus,
.menu-item-1396.current-menu-item a:hover {
	color: var(--gold) !important;
}

/* Food Menu Styles */

.menu-shortcode.no-price .fdlist_1_price {
	display: none !important;
}

.menu-shortcode h4 {
	margin-top: 0 !important;
}

.ctlist .fditem-list.item-grid:last-child {
	margin-bottom: 0 !important;
}

.fdstyle-list-1 .fdlist_1_title {
	border-bottom: 1px solid rgba(119,119,119,.3) !important;
}

.exwpfd-pagination-parent {
	display: none !important;
}

.ex-wfdlist {
	color: white !important;
}

.fditem-list {
	font-family: var(--body-font) !important;
    font-weight: 400;
}

.fdlist_1_price,
.fdlist_1_name {
	font-size: 22px !important;
	font-weight: 500 !important;
}

.fdlist_1_price span {
	/*text-transform: uppercase !important;*/
}

.list-style-1 .fditem-list.item-grid {
	margin-bottom: 20px !important;
}

.e-n-tab-title {
	display: flex !important;
	align-items: center;
	padding-right: 10px !important;
    background: unset !important;
    border: unset !important;
}

.e-n-tab-icon {
	flex-grow: 1 !important;
	display: flex !important;
	align-items: center !important;
	height: 2px;
	position: relative !important;
	overflow: visible !important;
}

.e-n-tab-icon svg {
	width: 85% !important;
	height: 2px !important;
	position: absolute !important;
	top: 0 !important;
	right: 0 !important;
}

.e-n-tab-icon svg rect {
	height: 8px !important;
}

.e-n-tab-title-text {
	flex-shrink: 0 !important;
	margin-left: 10px;
}

.e-n-tab-title:not([aria-selected="true"]) .e-n-tab-icon {
	opacity: 0 !important;
}

@media(max-width: 1000px) {
	.fdlist_1_price,
	.fdlist_1_name {
		font-size: 18px !important;
	}

	.menu-tab-section h4 {
		font-size: 14px !important;
	}
}

/* Review Plugin Styles */

.ti-controls-line,
.ti-footer {
	display: none;
}

.ti-review-header .ti-name {
	font-family: var(--body-font) !important;
	font-weight: 400 !important;
	text-transform: uppercase;
	letter-spacing: 1.6px;
}

.ti-inner {
	display: flex !important;
	flex-direction: column;
	justify-content: center;
}

body .ti-widget .ti-review-content {
	font-family: var(--body-font) !important;
	font-size: 20px !important;
	font-style: italic !important;
	line-height: 120% !important;
	height: unset !important;
}

.ti-widget .source-Google .ti-star.f {
	filter: brightness(0) invert(1) !important;
}

.ti-widget-container,
.ti-reviews-container-wrapper {
	margin: 0 !important;
}

.ti-review-item {
	padding: 0 !important;
}

.ti-widget .ti-controls .ti-next {
	right: -25px !important;
}

.ti-widget .ti-controls .ti-prev {
	left: -25px !important;
}

.ti-widget .ti-controls .ti-next:before,
.ti-widget .ti-controls .ti-prev:before,
.ti-widget .ti-controls .ti-next:after,
.ti-widget .ti-controls .ti-prev:after {
	background: white !important;
}

@media(max-width: 480px) {
	body .ti-widget .ti-review-item>.ti-inner {
		padding: 10px !important;
	}
}

/* Event Styles */

body .evoet_title {
	font-family: var(--header-font) !important;
	text-transform: unset !important;
	letter-spacing: unset !important;
	font-weight: 500 !important;
}

body .ajde_evcal_calendar.esty_5 .eventon_list_event .evcal_list_a {
	background: #F6F6F6 !important;
    padding: 20px !important;
    border-color: var(--gold) !important;
}

body .ajde_evcal_calendar.esty_5 .eventon_list_event .evcal_list_a:hover {
	background: #FFFFFF !important;
}

body .evcal_evdata_cell a,
body .evo_h3 {
	font-weight: 600 !important;
	text-transform: capitalize !important;
}

.evcal_evdata_row,
.evo_lightbox.eventcard .evo_lightbox_body,
.evo_lightbox .evo_lightbox_body,
.evo_lightbox .evolb_content,
.evocard_box,
.borderr15, .evobr15,
body .eventon_events_list .eventon_list_event .ev_ftImg,
body #evcal_list,
.ajde_evcal_calendar.sev #evcal_list .eventon_list_event {
	border-radius: 0 !important;
}

.eventon_events_list .eventon_list_event .evoet_c2,
.evo_pop_body .evoet_c2 {
	margin-right: 5px !important;
	max-width: 58px !important;
}

.evcal_cblock .evo_start .date {
	font-size: 34px !important;
	padding-bottom: 5px !important;
	font-family: var(--header-font) !important;
	font-weight: 500 !important;
}

.evcal_cblock .evo_end .date {
	font-size: 24px !important;
	font-family: var(--header-font) !important;
	font-weight: 500 !important;
}

.evcal_cblock .evo_start .month {
	font-family: var(--body-font) !important;
	font-weight: 500 !important;
}

.evopop_body *,
.evcal_list_a * {
	font-family: var(--body-font) !important;
}

@media(max-width: 690px) {
	.eventon_events_list .eventon_list_event .evoet_cx, .evo_pop_body .evoet_cx {
		margin-right: 10px !important;
	}

	.eventon_events_list .eventon_list_event .evoet_cx span.evcal_desc2 {
		font-size: 19px !important;
	}

	.evcal_cblock .evo_start .date {
		font-size: 28px !important;
	}

	.evcal_cblock .evo_start em.month,
	.evcal_cblock .evo_end em.month,
	.evcal_cblock .evo_start em.day {
		font-size: 9px !important;
	}
}

/* Gravity Form Styles */

.gform-theme--framework .gform-loader {
	border-block-end-color: var(--gold) !important;
	border-block-start-color: rgba(255,255,255,.3) !important;
	border-inline-end-color: rgba(255,255,255,.3) !important;
	border-inline-start-color: var(--gold) !important;
}

.partial_entry_warning,
.grecaptcha-badge,
.gform_heading,
.gform-body label .gfield_required {
	display: none !important;
}

.gform_fields {
	gap: 15px !important;
}

.gform-body input,
.gform-body textarea,
.gform-body select {
	border-top: none !important;
	border-left: none !important;
	border-right: none !important;
	border-bottom: 2px solid white !important;
	border-radius: 0px !important;
	background: transparent !important;
	color: white !important;
	padding: 8px 12px !important;
	font-size: 16px !important;
	box-shadow: unset !important;
}

.gform-body input::placeholder,
.gform-body select::placeholder,
.gform-body textarea::placeholder {
	color: white !important;
	opacity: 1 !important;
	font-size: 16px !important;
}

.gform_footer input[type=submit] {
	color: white !important;
}

.gform_footer input[type=submit]:hover {
	color: white !important;
}

.inline-form #field_submit input[type=submit] {
	line-height: 1em !important;
	background: var(--gold) !important;
	color: white !important;
	border: 2px solid var(--gold) !important;
	margin-bottom: 0 !important;
	font-weight: 500 !important;
	border-radius: 0px !important;
	text-transform: uppercase;
	font-size: 14px !important;
	padding: 14px 40px !important;
	height: unset !important;
	font-family: var(--body-font) !important;
}

.inline-form #field_submit {
	width: unset !important;
	grid-column: span 2 !important
}

.inline-form #field_submit input {
	width: 100%;
}

.inline-form input:not([type=submit]) {
	border: none !important;
	border-bottom: 2px solid var(--black) !important;
	color: var(--black) !important;
	box-shadow: unset !important;
}

.inline-form input::placeholder {
	color: var(--black) !important;
}

.inline-form .gfield--type-name {
	grid-column: span 6 !important;
}
.inline-form .gfield--type-email {
	grid-column: span 4 !important;
}

.inline-form .gform_footer {
	display: none;
}

.dark-form {
    input:not([type=submit]), textarea {
        border-color: var(--black) !important;
        color: var(--black) !important;

        &::placeholder {
            color: var(--black) !important;
        }
    }
    input[type=submit] {
        color: white !important;

        &:hover {
            color: var(--black) !important;
        }
    }

}

.gform_footer input {
	line-height: 1em !important;
	color: var(--black) !important;
	padding: 14px 40px !important;
	background: var(--gold) !important;
	border: 2px solid var(--gold) !important;
	font-family: var(--body-font) !important;
	font-style: normal;
	font-weight: 700 !important;
	letter-spacing: 1.6px !important;
	text-transform: uppercase !important;
	border-radius: 0 !important;
}

.inline-form #field_submit input[type=submit]:hover,
.gform_footer input:hover {
	background: transparent !important;
	color: var(--black) !important;
}

.gform_footer input[type="submit"]:focus {
	outline: var(--gold) auto 0px !important;
	background-color: transparent !important;
	color: var(--text) !important;
}

.gform-body input:focus,
.gform-body textarea:focus,
.gform-body select:focus,
.gform-body input:focus-visible,
.gform-body textarea:focus-visible,
.gform-body select:focus-visible {
	outline: var(--gold) auto 0px !important;
	--outline-color: var(--gold) !important;
	box-shadow: none !important;
}

.gform_confirmation_message {
	text-align: center !important;
	color: white !important;
	font-family: var(--body-font) !important;
	font-size: 20px !important;
	line-height: 1.3em !important;
	border-radius: 0px !important;
	background: var(--gold) !important;
	padding: 30px !important;
}

@media(max-width: 690px) {
	.gform_footer {
		padding-top: 30px !important;
		margin-top: 0 !important;
	}

	.inline-form .gform_fields {
		row-gap: 30px !important;
	}

	.inline-form .gfield--type-name {
		grid-column: span 12 !important;
	}

	.inline-form .gfield--type-name .ginput_container--name span {
		width: 50% !important;
	}

	.inline-form .gfield--type-email {
		grid-column: span 6 !important;
	}

	.inline-form #field_submit {
		grid-column: span 6 !important;
	}
}

@media(max-width: 480px) {
	.inline-form .gfield--type-name .ginput_container--name,
	.inline-form .gform_fields {
		row-gap: 20px !important;
	}

	.inline-form .gfield--type-name {
		grid-column: span 12 !important;
	}

	.inline-form .gfield--type-name .ginput_container--name span {
		width: 100% !important;
	}

	.inline-form .gfield--type-email {
		grid-column: span 12 !important;
	}

	.inline-form #field_submit {
		grid-column: span 12 !important;
	}
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus,
select:-webkit-autofill:active {
	-webkit-box-shadow: 0 0 0 30px #E2E0DB inset !important;
}

.inline-form input:-webkit-autofill,
.inline-form input:-webkit-autofill:hover,
.inline-form input:-webkit-autofill:focus,
.inline-form input:-webkit-autofill:active,
.inline-form select:-webkit-autofill,
.inline-form select:-webkit-autofill:hover,
.inline-form select:-webkit-autofill:focus,
.inline-form select:-webkit-autofill:active {
	-webkit-box-shadow: 0 0 0 30px #ffffff inset !important;
}

input:-webkit-autofill,
select:-webkit-autofill {
	-webkit-text-fill-color: var(--black) !important;
}

/* Error Message Styles */

.gform_validation_errors,
.validation_message {
	display: none !important;
}

.gform_wrapper.gravity-theme .gfield_error label,
.gform_wrapper.gravity-theme .gfield_error legend,
.gfield_required_asterisk {
	color: salmon !important;
}

.gform_body input[aria-invalid=true],
.gform_body select[aria-invalid=true],
.gform_body textarea[aria-invalid=true] {
	border: 2px solid salmon !important;
}